/*******************************************************************************
版权所有：	珠海欧力配网自动化股份有限公司
文件名称：	others.h
文件版本：	01.00
创建作者:	赵海洋
创建日期：	2021-11-03
功能说明：	主要处理杂项和各项特殊需求功能。
其它说明：
注意事项:
修改记录:
*/
#ifndef __OTHERS_H__
#define __OTHERS_H__

typedef struct array
{
    TRMTSETTABLE *Data;
    int size, max_size;
    void (*Constructor)(struct array *);                      // 构造函数
    void (*Input)(TRMTSETTABLE, struct array *);              // 输入数据
    int (*get_array_size)(struct array *);                    // 获取arr的大小
    TRMTSETTABLE *(*return_index_value)(struct array *, int); // 返回下标为index的值
    void (*print)(struct array *);                            // 打印结果
    void (*Destructor)(struct array *);                       // 析构函数
} Array;

extern Array myRmtSetArray;	// 远端定值

void Init(Array *this);
void _print(struct array *this);
void _constructor(Array *this);
void _denstructor(Array *this);
void _input(TRMTSETTABLE data, Array *this);
int _get_array_size(Array *this);
TRMTSETTABLE *_return_index_value(Array *this, int index);
int printf_myRmtSetArray(void);

int rmtSetArray_init(void);
int rmtSetArray_exit(void);


// void pub_set2sw_set(void);

#endif